%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
%   Copyright (c) 2010 - 2011 Caspar Zhang <casparant@gmail.com>   %
%                                                                  %
%   This copyrighted material is made available to anyone wishing  %
%   to use, modify, copy, or redistribute it subject to the terms  %
%   and conditions of the GNU General Public License version 2.    %
%                                                                  %
%   This program is distributed in the hope that it will be        %
%   useful, but WITHOUT ANY WARRANTY; without even the implied     %
%   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR        %
%   PURPOSE. See the GNU General Public License for more details.  %
%                                                                  %
%   You should have received a copy of the GNU General Public      %
%   License along with this program; if not, write to the Free     %
%   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,    %
%   Boston, MA 02110-1301, USA.                                    %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% 你只需要修改下面几行就可以完成大部分内容的填写，
% 这要求你具有一定的LaTeX基础，但是如果你足够聪明，
% 不具有LaTeX基础也可以完成。

% 论文中文题目
\def\thesistitle{一种基于FATE框架的联邦学习方法设计与实现}

% 论文英文题目
%提示：英文摘要页的标题注意格式要求。
\def\thesistitleen{Design and Implementation of a Federated-Learning Method Based on FATE Framework}

% Thank Words
\def\thankwords{
光阴荏苒，不知不觉我的本科生涯已进入尾声。在此，我以无比感慨和喜悦之情呈现我的毕业论文。从论文选题、分析实验，到最终的论文撰写，都离不开导师、家人和同学们的悉心关照与支持。在此，我真挚地向他们表示衷心的感谢！

首先，我要感谢我的本科导师陆月明教授。在论文实施的整个过程中，陆教授对我的悉心教导和热情关怀给了我无尽的动力与信心。在学术研究中，他为人师表，敢于担当，严谨治学。在生活中，他关心学生，热情亲切。陆老师为我树立了良好的学术榜样，使我在攻读本科期间受益匪浅。

其次，我要感谢我们实验室的师兄师姐和同学们。他们脚踏实地，严谨治学，为我树立了良好的学术榜样。在学术研究中，他们的建议和指导使我在论文完成的过程中受益良多；在生活上，同学间的关爱与互动让我感受到实验室的团结和温馨。

再次，我要向我的家人表示诚挚的感谢。父母对我的关爱和支持使我更加坚定地走向理想的彼岸；亲朋好友在不同的关键时刻给予了我心灵的慰藉和精神的支持。他们一直是我努力奋斗、不断前行的最大动力。

在此本科毕业之际，我由衷地感谢与我一同走过本科学习历程的每一个人。未来的路还长，我将继续勇往直前，不断努力，为未来的人生实践书写新的篇章。
}
